{%- extends "_layout.html" %}

{%- block content %}

            <div class="row">
                <div class="col-lg-12">

                    {{ macros_page.render_breadcrumbs() }}

                    <h2>{{ vial_current_view.get_view_title() }}</h2>
                    <div class="pull-right">
                        {{ macros_page.render_menu_actions() }}
                    </div>
                    <br>
                    <hr>

    {%- if form %}
                    {%- block searchform %}
                    <!-- Search form - BEGIN ---------------------------------->
                    <div class="jumbotron" style="margin-top: 1em;">
                        <form method="GET" class="form" action="{{ url_for(request.endpoint) }}">

                            {%- block searchformfields %}{% endblock searchformfields %}

                            <hr>

                            <div class="pull-right">
                                {{ macros_form.render_form_item_select(g.search_form.sortby) }}
                            </div>
                            <div class="btn-toolbar" role="toolbar" aria-label="{{ _('Form submission buttons') }}">
                                <div class="btn-group" role="group">
                                    {{ g.search_form.submit(class_='btn btn-primary') }}
                                    <a role="button" class="btn btn-default" href="{{ url_for(request.endpoint) }}">{{ _('Clear') }}</a>
                                </div>
                            </div>
                        </form>
                    </div>
                    <!-- Search form - END ------------------------------------>
                    {% endblock searchform %}

                    {{ macros_site.render_pager(request.endpoint, query_params, pager_index_low, pager_index_high, pager_index_limit) }}
    {%- endif %}

                    {%- block contentinner %}{% endblock contentinner %}

    {%- if form %}
                    {{ macros_site.render_pager(request.endpoint, query_params, pager_index_low, pager_index_high, pager_index_limit) }}
    {%- endif %}

                </div><!-- /.col-lg-12 -->
            </div><!-- /.row -->

{%- endblock content %}
